Subject: Re: linux-next: manual merge of the usb tree with the v4l-dvb tree

From: Laurent Pinchart <[email-masked]>
Date: Mon, 26 Jul 2010 10:24:05 +0200

Hi Mauro,

On Saturday 24 July 2010 17:32:54 Mauro Carvalho Chehab wrote:
> Em 13-07-2010 14:23, Laurent Pinchart escreveu:
> > On Tuesday 13 July 2010 17:34:02 Mauro Carvalho Chehab wrote:
> >> Em 07-07-2010 12:13, Greg KH escreveu:
> >>> On Tue, Jul 06, 2010 at 09:34:51AM -0300, Mauro Carvalho Chehab wrote:
> >>>> Em 06-07-2010 08:10, Laurent Pinchart escreveu:
> > [snip]
> > 
> >>>>> Mauro, can the uvc-gadget patches go through the linux-media tree ?
> >> 
> >> It will not be simple to fix this conflict from my tree. I tried to
> >> apply
> >> 
> >> them against a 2.6.35-rc5, but it failed:
> >> |diff --git a/drivers/media/video/uvc/uvcvideo.h
> >> |b/drivers/media/video/uvc/uvcvideo.h index 47b20e7..ac27245 100644
> >> |--- a/drivers/media/video/uvc/uvcvideo.h
> >> |+++ b/drivers/media/video/uvc/uvcvideo.h
> >> 
> >> --------------------------
> >> No file to patch.  Skipping patch.
> >> 1 out of 1 hunk ignored
> >> can't find file to patch at input line 73
> >> Perhaps you used the wrong -p or --strip option?
> > 
> > drivers/media/video/uvc/uvcvideo.h has been there for years. Perhaps you
> > used the wrong -p or --strip option? :-)
> 
> Doubtful. My scripts apply the patches using -p1. Not sure what happened.

[snip]

> Could you please re-send the patch, being sure that it will apply against a
> -rc kernel?

The patch I've sent you applies unmodified against 2.6.35-rc6. I'm pretty sure 
you made a mistake somewhere.

-- 
Regards,

Laurent Pinchart